Subject: Re: [PATCHv2] net: ipv4: Use BUG_ON directly instead of a if condition followed by BUG

From: zhong jiang <[email-masked]>
Date: Fri, 14 Sep 2018 13:13:00 +0800

On 2018/9/14 1:42, David Miller wrote:
> From: zhong jiang <[email-masked]>
> Date: Tue, 11 Sep 2018 21:13:13 +0800
>
>> The if condition can be removed if we use BUG_ON directly.
>> The issule is detected with the help of Coccinelle.
>>
>> Signed-off-by: zhong jiang <[email-masked]>
> Taking Simon's feedback into consideration...
>
> I very often see changes like this and have to check the implementation
> of BUG_ON() et al. to make sure it evaluates it's arguments even when
> debugging is disabled.
>
> Even if it is always guaranteed to do so, like me people will be unsure
> forever and have to check.
>
> That makes auditing code and validating things more time consuming and
> hard.
>
> I also think the code as written now looks a lot nicer.
>
> So I'm not applying this, sorry.
>
> .
>
Get it.  Thank you for your explanation.

Sincerely,
zhong jiang